<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>eu.axes.bundle.servers</groupId>
	<artifactId>celery-manager</artifactId>
	<version>1.1.0</version>

	<packaging>jar</packaging>

	<name>WebLab manager for Celery server.</name>

	<properties>
		<weblab.bundle.version>2.0.2</weblab.bundle.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<licenses>
		<license>
			<name>LGPL v2.1</name>
			<distribution>repo</distribution>
			<url>https://www.gnu.org/licenses/lgpl-2.1.html</url>
		</license>
	</licenses>

	<dependencies>
		<dependency>
			<groupId>org.ow2.weblab.bundle</groupId>
			<artifactId>weblab-launcher</artifactId>
			<version>${weblab.bundle.version}</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<distributionManagement>
		<repository>
			<id>AXES</id>
			<name>AXES Maven repository</name>
			<url>dav:https://maven.ercim.eu/axes/</url>
			<uniqueVersion>false</uniqueVersion>
		</repository>
	</distributionManagement>


	<repositories>
		<repository>
			<id>AXES</id>
			<name>AXES Maven repository</name>
			<url>http://maven.ercim.eu/axes/</url>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>WebLab</id>
			<name>WebLab Maven repository</name>
			<url>http://maven.weblab-project.org/</url>
		</repository>
		<repository>
			<id>WebLab-Snapshot</id>
			<name>WebLab Maven snapshot repository</name>
			<url>http://maven-snapshot.weblab-project.org/</url>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

	<build>
		<finalName>${project.artifactId}</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.7</source>
					<target>1.7</target>
					<encoding>UTF-8</encoding>
					<showWarnings>true</showWarnings>
					<showDeprecations>true</showDeprecations>
					<debug>true</debug>
					<optimize>false</optimize>
					<verbose>true</verbose>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-deploy-plugin</artifactId>
				<version>2.8.1</version>
				<dependencies>
					<dependency>
						<groupId>org.apache.maven.wagon</groupId>
						<artifactId>wagon-webdav-jackrabbit</artifactId>
						<version>2.6</version>
					</dependency>
				</dependencies>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>2.4.1</version>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<finalName>${project.artifactId}-${project.version}</finalName>
					<descriptor>assembly.xml</descriptor>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>
